Source: haskell-pointedlist
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8),
 ghc-ghci,
 ghc-prof,
 haskell-devscripts (>= 0.13),
Build-Depends-Indep: ghc-doc
Standards-Version: 4.5.0
Homepage: http://hackage.haskell.org/package/pointedlist
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-pointedlist
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-pointedlist]

Package: libghc-pointedlist-dev
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: zipper-like comonad which works as a list, tracking a position${haskell:ShortBlurb}
 This Haskell library provides PointedList, which tracks the position in a
 non-empty list which works similarly to a zipper. A current item is always
 required, and therefore the list may never be empty. A circular PointedList
 wraps around to the other end when progressing past the actual edge.
 .
 This package contains the normal library files.

Package: libghc-pointedlist-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: zipper-like comonad which works as a list, tracking a position${haskell:ShortBlurb}
 This Haskell library provides PointedList, which tracks the position in a
 non-empty list which works similarly to a zipper. A current item is always
 required, and therefore the list may never be empty. A circular PointedList
 wraps around to the other end when progressing past the actual edge.
 .
 This package contains the libraries compiled with profiling enabled.

Package: libghc-pointedlist-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: zipper-like comonad which works as a list, tracking a position.${haskell:ShortBlurb}
 This Haskell library provides PointedList, which tracks the position in a
 non-empty list which works similarly to a zipper. A current item is always
 required, and therefore the list may never be empty. A circular PointedList
 wraps around to the other end when progressing past the actual edge.
 .
 This package contains the documentation files.
